Bug 1826739 - openstack UPI [documentation]: wrong name for an install step
Summary: openstack UPI [documentation]: wrong name for an install step
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.5.0
Assignee: Pierre Prinetti
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-22 13:22 UTC by Pierre Prinetti
Modified: 2020-07-13 17:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: An Ansible step has a misleading name Fix: The name is now fixed Result: the step for gathering an auth token is now called "Get an auth token"
Clone Of:
Environment:
Last Closed: 2020-07-13 17:30:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3495 0 None closed Bug 1826739: openstack UPI: Fix step name 2020-06-23 10:15:44 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:30:22 UTC

Description Pierre Prinetti 2020-04-22 13:22:57 UTC
Description of problem:

An Ansible step name mentions Server groups, while it gathers a token for calls unrelated to server groups.

Comment 3 weiwei jiang 2020-04-24 09:16:52 UTC
Checked with 4.5.0-0.nightly-2020-04-21-103613, and it's fixed.


TASK [Get an auth token] *******************************************************
task path: /root/jenkins/workspace/Remove VMs@2/cucushift/private-openshift-misc/v3-launch-templates/functionality-testing/aos-4_5/hosts/upi_on_openstack-scripts/down-03_load-balancers.yaml:13
<localhost> ESTABLISH LOCAL CONNECTION FOR USER: root
<localhost> EXEC /bin/sh -c 'echo ~root && sleep 0'
<localhost> EXEC /bin/sh -c '( umask 77 && mkdir -p "` echo /root/.ansible/tmp/ansible-tmp-1587719417.302068-201729196543587 `" && echo ansible-tmp-1587719417.302068-201729196543587="` echo /root/.ansible/tmp/ansible-tmp-1587719417.302068-201729196543587 `" ) && sleep 0'
Using module file /usr/lib/python3.6/site-packages/ansible/modules/cloud/openstack/os_auth.py
<localhost> PUT /root/.ansible/tmp/ansible-local-35913927g1hx6d/tmps70prdj4 TO /root/.ansible/tmp/ansible-tmp-1587719417.302068-201729196543587/AnsiballZ_os_auth.py
<localhost> EXEC /bin/sh -c 'chmod u+x /root/.ansible/tmp/ansible-tmp-1587719417.302068-201729196543587/ /root/.ansible/tmp/ansible-tmp-1587719417.302068-201729196543587/AnsiballZ_os_auth.py && sleep 0'
<localhost> EXEC /bin/sh -c '/usr/libexec/platform-python /root/.ansible/tmp/ansible-tmp-1587719417.302068-201729196543587/AnsiballZ_os_auth.py && sleep 0'
<localhost> EXEC /bin/sh -c 'rm -f -r /root/.ansible/tmp/ansible-tmp-1587719417.302068-201729196543587/ > /dev/null 2>&1 && sleep 0'
ok: [localhost] => {
    "ansible_facts": {
        "auth_token": "gAAAAABeoqz7tIVRj_L8w4uX32BcdLMgRX5H6wJApswdGSxNp-AEFpOT3lT01pgyU0yBj6PmEBY2cVa9I7LpQjtGKVu234fZrO0eGllvU8_lS3pahByPXcZhlrJjHarvH35yfkSCHHZak9904n-bOBsXERjcWQxI6yVgZL08VzHNfQxwUyeXsjk",
        "service_catalog": [
            {
                "endpoints": [
                    {
                        "id": "06cad57c825a4defb776dedb20023ae1",
                        "interface": "internal",
                        "region": "regionOne",

Comment 4 errata-xmlrpc 2020-07-13 17:30:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.